Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.converters
Interface ConverterMatcher

All Known Subinterfaces:
  Converter, SingleValueConverter

All Known Implementing Classes:
  AbstractAttributedCharacterIteratorAttributeConverter, AbstractBasicConverter, AbstractCollectionConverter, AbstractReflectionConverter, AbstractSingleValueConverter, AnnotationReflectionConverter, ArrayConverter, BigDecimalConverter, BigIntegerConverter, BitSetConverter, BooleanConverter, ByteConverter, CGLIBEnhancedConverter, CharArrayConverter, CharConverter, CharsetConverter, CollectionConverter, ColorConverter, CurrencyConverter, DateConverter, DoubleConverter, DurationConverter, DynamicProxyConverter, EncodedByteArrayConverter, EnumConverter, EnumMapConverter, EnumSetConverter, EnumSingleValueConverter, ExternalizableConverter, FileConverter, FloatConverter, FontConverter, GregorianCalendarConverter, IntConverter, ISO8601DateConverter, ISO8601GregorianCalendarConverter, ISO8601SqlTimestampConverter, JavaBeanConverter, JavaClassConverter, JavaMethodConverter, LocaleConverter, LongConverter, LookAndFeelConverter, MapConverter, NullConverter, PropertiesConverter, PropertyEditorCapableConverter, ReflectionConverter, RegexPatternConverter, SelfStreamingInstanceChecker, SerializableConverter, ShortConverter, SingleValueConverterWrapper, SqlDateConverter, SqlTimeConverter, SqlTimestampConverter, StackTraceElementConverter, StringBufferConverter, StringBuilderConverter, StringConverter, SubjectConverter, TextAttributeConverter, ThrowableConverter, ToStringConverter, TreeMapConverter, TreeSetConverter, URLConverter, UUIDConverter

    public interface ConverterMatcher

ConverterMatcher allows to match converters to classes by determining if a given type can be converted by the converter instance. ConverterMatcher is the base interface of any converter.

Since:
  1.2
Author:
  Joe Walnes, Jörg Schaible, Mauro Talevi
See Also:
  `Converter`, `SingleValueConverter`

Method Summary
`boolean` | `canConvert(Class type)` Determines whether the converter can marshall a particular type.

Method Detail

### canConvert

    boolean canConvert(Class type)

  Determines whether the converter can marshall a particular type.

  Parameters:
    `type` - the Class representing the object type to be converted

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.